REDROOM
PHP 8.2.30
Path:
Logout
Edit File
Size: 1.51 KB
Close
/usr/lib/node_modules/npm/node_modules/libnpx/auto-fallback.js
Text
Base64
'use strict' const Y = require('./y.js') function mkPosix (opts) { return ` command_not_found_${opts.isBash ? 'handle' : 'handler'}() { # Do not run within a pipe if test ! -t 1; then >&2 echo "${Y`command not found: ${'$1'}`}" return 127 fi if which npx > /dev/null; then echo "${Y`${'$1'} not found. Trying with npx...`}" >&2 else return 127 fi if ! [[ $1 =~ @ ]]; then npx --no-install "$@" else npx "$@" fi return $? }` } function mkFish (opts) { return ` function __fish_command_not_found_on_interactive --on-event fish_prompt functions --erase __fish_command_not_found_handler functions --erase __fish_command_not_found_setup function __fish_command_not_found_handler --on-event fish_command_not_found if which npx > /dev/null echo "${Y`${'$argv[1]'} not found. Trying with npx...`}" >&2 else return 127 end if string match -q -r @ $argv[1] npx $argv else npx --no-install $argv end end functions --erase __fish_command_not_found_on_interactive end` } module.exports = autoFallback function autoFallback (shell, fromEnv, opts) { if (shell.includes('bash')) { return mkPosix({isBash: true, install: opts.install}) } if (shell.includes('zsh')) { return mkPosix({isBash: false, install: opts.install}) } if (shell.includes('fish')) { return mkFish(opts) } if (fromEnv) { return autoFallback(fromEnv, null, opts) } console.error(Y`Only Bash, Zsh, and Fish shells are supported :(`) }
Save
Close
Exit & Reset
Text mode: syntax highlighting auto-detects file type.
Directory Contents
Dirs: 1 × Files: 12
Delete Selected
Select All
Select None
Sort:
Name
Size
Modified
Enable drag-to-move
Name
Size
Perms
Modified
Actions
locales
DIR
-
drwxr-xr-x
2024-03-03 22:36:29
Edit
Download
Rename
Chmod
Change Date
Delete
OK
Cancel
recursive
OK
Cancel
recursive
OK
Cancel
auto-fallback.js
1.51 KB
lrw-r--r--
2021-03-10 14:36:38
Edit
Download
Rename
Chmod
Change Date
Delete
OK
Cancel
recursive
OK
Cancel
recursive
OK
Cancel
CHANGELOG.md
27.48 KB
lrw-r--r--
2021-03-10 14:36:38
Edit
Download
Rename
Chmod
Change Date
Delete
OK
Cancel
recursive
OK
Cancel
recursive
OK
Cancel
child.js
2.20 KB
lrw-r--r--
2021-03-10 14:36:38
Edit
Download
Rename
Chmod
Change Date
Delete
OK
Cancel
recursive
OK
Cancel
recursive
OK
Cancel
get-prefix.js
1.23 KB
lrw-r--r--
2021-03-10 14:36:38
Edit
Download
Rename
Chmod
Change Date
Delete
OK
Cancel
recursive
OK
Cancel
recursive
OK
Cancel
index.js
12.62 KB
lrw-r--r--
2021-03-10 14:36:38
Edit
Download
Rename
Chmod
Change Date
Delete
OK
Cancel
recursive
OK
Cancel
recursive
OK
Cancel
libnpx.1
6.70 KB
lrw-r--r--
2021-03-10 14:36:38
Edit
Download
Rename
Chmod
Change Date
Delete
OK
Cancel
recursive
OK
Cancel
recursive
OK
Cancel
LICENSE.md
755 B
lrw-r--r--
2021-03-10 14:36:38
Edit
Download
Rename
Chmod
Change Date
Delete
OK
Cancel
recursive
OK
Cancel
recursive
OK
Cancel
package.json
2.59 KB
lrw-r--r--
2021-03-10 14:36:38
Edit
Download
Rename
Chmod
Change Date
Delete
OK
Cancel
recursive
OK
Cancel
recursive
OK
Cancel
parse-args.js
7.10 KB
lrw-r--r--
2021-03-10 14:36:38
Edit
Download
Rename
Chmod
Change Date
Delete
OK
Cancel
recursive
OK
Cancel
recursive
OK
Cancel
README.md
6.31 KB
lrw-r--r--
2021-03-10 14:36:38
Edit
Download
Rename
Chmod
Change Date
Delete
OK
Cancel
recursive
OK
Cancel
recursive
OK
Cancel
util.js
390 B
lrw-r--r--
2021-03-10 14:36:38
Edit
Download
Rename
Chmod
Change Date
Delete
OK
Cancel
recursive
OK
Cancel
recursive
OK
Cancel
y.js
490 B
lrw-r--r--
2021-03-10 14:36:38
Edit
Download
Rename
Chmod
Change Date
Delete
OK
Cancel
recursive
OK
Cancel
recursive
OK
Cancel
Zip Selected
If ZipArchive is unavailable, a
.tar
will be created (no compression).